
"use strict";

let VehicleMocapOdometry = require('./VehicleMocapOdometry.js');
let SatelliteInfo = require('./SatelliteInfo.js');
let VehicleCommandAck = require('./VehicleCommandAck.js');
let ActuatorControls2 = require('./ActuatorControls2.js');
let DebugKeyValue = require('./DebugKeyValue.js');
let McVirtualAttitudeSetpoint = require('./McVirtualAttitudeSetpoint.js');
let ObstacleDistance = require('./ObstacleDistance.js');
let GeofenceResult = require('./GeofenceResult.js');
let LandingTargetPose = require('./LandingTargetPose.js');
let VehicleAngularVelocityGroundtruth = require('./VehicleAngularVelocityGroundtruth.js');
let MissionResult = require('./MissionResult.js');
let SensorSelection = require('./SensorSelection.js');
let DebugVect = require('./DebugVect.js');
let EstimatorStatus = require('./EstimatorStatus.js');
let ObstacleDistanceFused = require('./ObstacleDistanceFused.js');
let TelemetryStatus = require('./TelemetryStatus.js');
let ActuatorControls1 = require('./ActuatorControls1.js');
let VehicleVisualOdometry = require('./VehicleVisualOdometry.js');
let TecsStatus = require('./TecsStatus.js');
let LogMessage = require('./LogMessage.js');
let EscStatus = require('./EscStatus.js');
let PwmInput = require('./PwmInput.js');
let TuneControl = require('./TuneControl.js');
let Ekf2Innovations = require('./Ekf2Innovations.js');
let VehicleAttitude = require('./VehicleAttitude.js');
let SensorBaro = require('./SensorBaro.js');
let VehicleAngularVelocity = require('./VehicleAngularVelocity.js');
let SystemPower = require('./SystemPower.js');
let LedControl = require('./LedControl.js');
let VehicleCommand = require('./VehicleCommand.js');
let LandingGear = require('./LandingGear.js');
let SensorCombined = require('./SensorCombined.js');
let Airspeed = require('./Airspeed.js');
let TrajectoryWaypoint = require('./TrajectoryWaypoint.js');
let WindEstimate = require('./WindEstimate.js');
let VehicleLocalPosition = require('./VehicleLocalPosition.js');
let VehicleVisionAttitude = require('./VehicleVisionAttitude.js');
let ActuatorControls0 = require('./ActuatorControls0.js');
let UavcanParameterValue = require('./UavcanParameterValue.js');
let RateCtrlStatus = require('./RateCtrlStatus.js');
let RcParameterMap = require('./RcParameterMap.js');
let VehicleLocalPositionGroundtruth = require('./VehicleLocalPositionGroundtruth.js');
let PositionSetpoint = require('./PositionSetpoint.js');
let PowerButtonState = require('./PowerButtonState.js');
let UlogStream = require('./UlogStream.js');
let Cpuload = require('./Cpuload.js');
let GpsInjectData = require('./GpsInjectData.js');
let SensorGyroControl = require('./SensorGyroControl.js');
let VehicleAttitudeGroundtruth = require('./VehicleAttitudeGroundtruth.js');
let ManualControlSetpoint = require('./ManualControlSetpoint.js');
let VehicleMagnetometer = require('./VehicleMagnetometer.js');
let MultirotorMotorLimits = require('./MultirotorMotorLimits.js');
let ServorailStatus = require('./ServorailStatus.js');
let VehicleOdometry = require('./VehicleOdometry.js');
let ParameterUpdate = require('./ParameterUpdate.js');
let DifferentialPressure = require('./DifferentialPressure.js');
let DistanceSensor = require('./DistanceSensor.js');
let Ekf2Timestamps = require('./Ekf2Timestamps.js');
let OrbitStatus = require('./OrbitStatus.js');
let VtolVehicleStatus = require('./VtolVehicleStatus.js');
let HomePosition = require('./HomePosition.js');
let CommanderState = require('./CommanderState.js');
let VehicleLocalPositionSetpoint = require('./VehicleLocalPositionSetpoint.js');
let Mission = require('./Mission.js');
let VehicleTrajectoryWaypointDesired = require('./VehicleTrajectoryWaypointDesired.js');
let SensorPreflight = require('./SensorPreflight.js');
let VehicleRoi = require('./VehicleRoi.js');
let CollisionReport = require('./CollisionReport.js');
let PowerMonitor = require('./PowerMonitor.js');
let AirspeedValidated = require('./AirspeedValidated.js');
let VehicleStatus = require('./VehicleStatus.js');
let UavcanParameterRequest = require('./UavcanParameterRequest.js');
let VehicleAcceleration = require('./VehicleAcceleration.js');
let VehicleGlobalPositionGroundtruth = require('./VehicleGlobalPositionGroundtruth.js');
let RcChannels = require('./RcChannels.js');
let VehicleLandDetected = require('./VehicleLandDetected.js');
let InputRc = require('./InputRc.js');
let PositionSetpointTriplet = require('./PositionSetpointTriplet.js');
let CollisionConstraints = require('./CollisionConstraints.js');
let BatteryStatus = require('./BatteryStatus.js');
let OpticalFlow = require('./OpticalFlow.js');
let VehicleGlobalPosition = require('./VehicleGlobalPosition.js');
let UlogStreamAck = require('./UlogStreamAck.js');
let ActuatorControlsVirtualMc = require('./ActuatorControlsVirtualMc.js');
let CameraTriggerSecondary = require('./CameraTriggerSecondary.js');
let IridiumsbdStatus = require('./IridiumsbdStatus.js');
let VehicleRatesSetpoint = require('./VehicleRatesSetpoint.js');
let CameraTrigger = require('./CameraTrigger.js');
let VehicleAirData = require('./VehicleAirData.js');
let SensorGyro = require('./SensorGyro.js');
let ActuatorControls3 = require('./ActuatorControls3.js');
let RadioStatus = require('./RadioStatus.js');
let DebugValue = require('./DebugValue.js');
let VehicleGpsPosition = require('./VehicleGpsPosition.js');
let TimesyncStatus = require('./TimesyncStatus.js');
let FollowTarget = require('./FollowTarget.js');
let Safety = require('./Safety.js');
let ActuatorArmed = require('./ActuatorArmed.js');
let FwVirtualAttitudeSetpoint = require('./FwVirtualAttitudeSetpoint.js');
let EkfGpsDrift = require('./EkfGpsDrift.js');
let SensorCorrection = require('./SensorCorrection.js');
let TestMotor = require('./TestMotor.js');
let VehicleAttitudeSetpoint = require('./VehicleAttitudeSetpoint.js');
let PositionControllerStatus = require('./PositionControllerStatus.js');
let ActuatorControlsVirtualFw = require('./ActuatorControlsVirtualFw.js');
let TransponderReport = require('./TransponderReport.js');
let LandingTargetInnovations = require('./LandingTargetInnovations.js');
let TrajectorySetpoint = require('./TrajectorySetpoint.js');
let EscReport = require('./EscReport.js');
let EkfGpsPosition = require('./EkfGpsPosition.js');
let TaskStackInfo = require('./TaskStackInfo.js');
let OffboardControlMode = require('./OffboardControlMode.js');
let ActuatorDirect = require('./ActuatorDirect.js');
let VehicleControlMode = require('./VehicleControlMode.js');
let QshellReq = require('./QshellReq.js');
let WheelEncoders = require('./WheelEncoders.js');
let SensorMag = require('./SensorMag.js');
let SubsystemInfo = require('./SubsystemInfo.js');
let SensorAccel = require('./SensorAccel.js');
let VehicleStatusFlags = require('./VehicleStatusFlags.js');
let DebugArray = require('./DebugArray.js');
let MavlinkLog = require('./MavlinkLog.js');
let AdcReport = require('./AdcReport.js');
let VehicleTrajectoryWaypoint = require('./VehicleTrajectoryWaypoint.js');
let GpsDump = require('./GpsDump.js');
let VehicleConstraints = require('./VehicleConstraints.js');
let Ping = require('./Ping.js');
let ActuatorOutputs = require('./ActuatorOutputs.js');
let CameraCapture = require('./CameraCapture.js');
let QshellRetval = require('./QshellRetval.js');
let IrlockReport = require('./IrlockReport.js');
let VehicleVisualOdometryAligned = require('./VehicleVisualOdometryAligned.js');
let ActuatorControls = require('./ActuatorControls.js');
let PositionControllerLandingStatus = require('./PositionControllerLandingStatus.js');
let SensorBias = require('./SensorBias.js');
let MountOrientation = require('./MountOrientation.js');

module.exports = {
  VehicleMocapOdometry: VehicleMocapOdometry,
  SatelliteInfo: SatelliteInfo,
  VehicleCommandAck: VehicleCommandAck,
  ActuatorControls2: ActuatorControls2,
  DebugKeyValue: DebugKeyValue,
  McVirtualAttitudeSetpoint: McVirtualAttitudeSetpoint,
  ObstacleDistance: ObstacleDistance,
  GeofenceResult: GeofenceResult,
  LandingTargetPose: LandingTargetPose,
  VehicleAngularVelocityGroundtruth: VehicleAngularVelocityGroundtruth,
  MissionResult: MissionResult,
  SensorSelection: SensorSelection,
  DebugVect: DebugVect,
  EstimatorStatus: EstimatorStatus,
  ObstacleDistanceFused: ObstacleDistanceFused,
  TelemetryStatus: TelemetryStatus,
  ActuatorControls1: ActuatorControls1,
  VehicleVisualOdometry: VehicleVisualOdometry,
  TecsStatus: TecsStatus,
  LogMessage: LogMessage,
  EscStatus: EscStatus,
  PwmInput: PwmInput,
  TuneControl: TuneControl,
  Ekf2Innovations: Ekf2Innovations,
  VehicleAttitude: VehicleAttitude,
  SensorBaro: SensorBaro,
  VehicleAngularVelocity: VehicleAngularVelocity,
  SystemPower: SystemPower,
  LedControl: LedControl,
  VehicleCommand: VehicleCommand,
  LandingGear: LandingGear,
  SensorCombined: SensorCombined,
  Airspeed: Airspeed,
  TrajectoryWaypoint: TrajectoryWaypoint,
  WindEstimate: WindEstimate,
  VehicleLocalPosition: VehicleLocalPosition,
  VehicleVisionAttitude: VehicleVisionAttitude,
  ActuatorControls0: ActuatorControls0,
  UavcanParameterValue: UavcanParameterValue,
  RateCtrlStatus: RateCtrlStatus,
  RcParameterMap: RcParameterMap,
  VehicleLocalPositionGroundtruth: VehicleLocalPositionGroundtruth,
  PositionSetpoint: PositionSetpoint,
  PowerButtonState: PowerButtonState,
  UlogStream: UlogStream,
  Cpuload: Cpuload,
  GpsInjectData: GpsInjectData,
  SensorGyroControl: SensorGyroControl,
  VehicleAttitudeGroundtruth: VehicleAttitudeGroundtruth,
  ManualControlSetpoint: ManualControlSetpoint,
  VehicleMagnetometer: VehicleMagnetometer,
  MultirotorMotorLimits: MultirotorMotorLimits,
  ServorailStatus: ServorailStatus,
  VehicleOdometry: VehicleOdometry,
  ParameterUpdate: ParameterUpdate,
  DifferentialPressure: DifferentialPressure,
  DistanceSensor: DistanceSensor,
  Ekf2Timestamps: Ekf2Timestamps,
  OrbitStatus: OrbitStatus,
  VtolVehicleStatus: VtolVehicleStatus,
  HomePosition: HomePosition,
  CommanderState: CommanderState,
  VehicleLocalPositionSetpoint: VehicleLocalPositionSetpoint,
  Mission: Mission,
  VehicleTrajectoryWaypointDesired: VehicleTrajectoryWaypointDesired,
  SensorPreflight: SensorPreflight,
  VehicleRoi: VehicleRoi,
  CollisionReport: CollisionReport,
  PowerMonitor: PowerMonitor,
  AirspeedValidated: AirspeedValidated,
  VehicleStatus: VehicleStatus,
  UavcanParameterRequest: UavcanParameterRequest,
  VehicleAcceleration: VehicleAcceleration,
  VehicleGlobalPositionGroundtruth: VehicleGlobalPositionGroundtruth,
  RcChannels: RcChannels,
  VehicleLandDetected: VehicleLandDetected,
  InputRc: InputRc,
  PositionSetpointTriplet: PositionSetpointTriplet,
  CollisionConstraints: CollisionConstraints,
  BatteryStatus: BatteryStatus,
  OpticalFlow: OpticalFlow,
  VehicleGlobalPosition: VehicleGlobalPosition,
  UlogStreamAck: UlogStreamAck,
  ActuatorControlsVirtualMc: ActuatorControlsVirtualMc,
  CameraTriggerSecondary: CameraTriggerSecondary,
  IridiumsbdStatus: IridiumsbdStatus,
  VehicleRatesSetpoint: VehicleRatesSetpoint,
  CameraTrigger: CameraTrigger,
  VehicleAirData: VehicleAirData,
  SensorGyro: SensorGyro,
  ActuatorControls3: ActuatorControls3,
  RadioStatus: RadioStatus,
  DebugValue: DebugValue,
  VehicleGpsPosition: VehicleGpsPosition,
  TimesyncStatus: TimesyncStatus,
  FollowTarget: FollowTarget,
  Safety: Safety,
  ActuatorArmed: ActuatorArmed,
  FwVirtualAttitudeSetpoint: FwVirtualAttitudeSetpoint,
  EkfGpsDrift: EkfGpsDrift,
  SensorCorrection: SensorCorrection,
  TestMotor: TestMotor,
  VehicleAttitudeSetpoint: VehicleAttitudeSetpoint,
  PositionControllerStatus: PositionControllerStatus,
  ActuatorControlsVirtualFw: ActuatorControlsVirtualFw,
  TransponderReport: TransponderReport,
  LandingTargetInnovations: LandingTargetInnovations,
  TrajectorySetpoint: TrajectorySetpoint,
  EscReport: EscReport,
  EkfGpsPosition: EkfGpsPosition,
  TaskStackInfo: TaskStackInfo,
  OffboardControlMode: OffboardControlMode,
  ActuatorDirect: ActuatorDirect,
  VehicleControlMode: VehicleControlMode,
  QshellReq: QshellReq,
  WheelEncoders: WheelEncoders,
  SensorMag: SensorMag,
  SubsystemInfo: SubsystemInfo,
  SensorAccel: SensorAccel,
  VehicleStatusFlags: VehicleStatusFlags,
  DebugArray: DebugArray,
  MavlinkLog: MavlinkLog,
  AdcReport: AdcReport,
  VehicleTrajectoryWaypoint: VehicleTrajectoryWaypoint,
  GpsDump: GpsDump,
  VehicleConstraints: VehicleConstraints,
  Ping: Ping,
  ActuatorOutputs: ActuatorOutputs,
  CameraCapture: CameraCapture,
  QshellRetval: QshellRetval,
  IrlockReport: IrlockReport,
  VehicleVisualOdometryAligned: VehicleVisualOdometryAligned,
  ActuatorControls: ActuatorControls,
  PositionControllerLandingStatus: PositionControllerLandingStatus,
  SensorBias: SensorBias,
  MountOrientation: MountOrientation,
};
